<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateNotificationsForwardsTable extends Migration {

	public function up()
	{
		Schema::create('notifications_forwards', function(Blueprint $table) {
			$table->increments('id');
			$table->integer('notification_id')->unsigned()->nullable();
			$table->foreign('notification_id')->references('id')->on('notifications');
			$table->enum('type', array('1', '2', '3', '4', '5', '6', '7', '8', '9', '10'));
			$table->integer('forward_id')->nullable();

            $table->softDeletes();
            $table->timestamps();
            $table->engine = 'InnoDB';
		});
	}

	public function down()
	{
		Schema::drop('notifications_forwards');
	}
}